Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.pinch
Class PinchEndEvent

    java.lang.Object
      com.google.gwt.event.shared.GwtEvent<H>
          com.maryanovsky.gwtutils.client.event.SyntheticEvent<H,E>
              com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.SyntheticTouchGestureEvent<PinchEndHandler,TouchEndEvent>
                  com.maryanovsky.gwtutils.client.iphone.ui.touch.gestures.pinch.PinchEndEvent

    public class PinchEndEvent

extends SyntheticTouchGestureEvent<PinchEndHandler,TouchEndEvent>

Represents a pinch end event.

Author:
  Maryanovsky Alexander

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Constructor Summary
`PinchEndEvent(TouchEndEvent evt, double scale)` Creates a new `PinchEndEvent` from the specified source `TouchEndEvent` and scale.

Method Summary
`protected void` | `dispatch(PinchEndHandler handler)` Dispatches the event to the handler.
`GwtEvent.Type<PinchEndHandler>` | `getAssociatedType()` Returns the event type associated with pinch end events.
`double` | `getScale()` Returns the factor by which the user changed the distance between his fingers.
`static GwtEvent.Type<PinchEndHandler>` | `getType()` Returns the event type associated with pinch end events.

Methods inherited from class com.maryanovsky.gwtutils.client.event.SyntheticEvent
`getSourceEvent`

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PinchEndEvent

    public PinchEndEvent(TouchEndEvent evt,
                         double scale)

  Creates a new `PinchEndEvent` from the specified source `TouchEndEvent` and scale.

  Parameters:
    `evt` - The touch end event that triggered this event.
    `scale` - The factor by which the user changed the distance between his fingers. Values greater than 1 imply he moved his fingers further apart; values smaller than 1, closer together.

Method Detail

### getScale

    public double getScale()

  Returns the factor by which the user changed the distance between his fingers. Values greater than 1 imply he moved his fingers further apart; values smaller than 1, closer together.

### getType

    public static GwtEvent.Type<PinchEndHandler> getType()

  Returns the event type associated with pinch end events.

### getAssociatedType

    public GwtEvent.Type<PinchEndHandler> getAssociatedType()

  Returns the event type associated with pinch end events.

  Specified by:
    `getAssociatedType` in class `GwtEvent<PinchEndHandler>`

### dispatch

    protected void dispatch(PinchEndHandler handler)

  Dispatches the event to the handler.

  Specified by:
    `dispatch` in class `GwtEvent<PinchEndHandler>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD